% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils-baseline.R
\name{compute_baseline}
\alias{compute_baseline}
\title{Compute baseline correction for epoch data}
\usage{
compute_baseline(
  x,
  epochs,
  baseline_epochs,
  mode,
  epoch_events = NULL,
  baseline_events = NULL
)
}
\arguments{
\item{x}{An \code{eyeris} object containing the latest pupil column pointer}

\item{epochs}{A list of epoch dataframes}

\item{baseline_epochs}{A list of baseline epoch dataframes}

\item{mode}{The baseline correction mode ("sub" for subtractive,
"div" for divisive)}

\item{epoch_events}{Event messages for epochs (optional)}

\item{baseline_events}{Event messages for baselines (optional)}
}
\value{
A list containing baseline correction results and metadata
}
\description{
Applies baseline correction to epoch data using either subtractive or
divisive methods.
}
\keyword{internal}
