% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pipeline-glassbox.R
\name{glassbox_internal}
\alias{glassbox_internal}
\title{Internal glassbox function for processing individual eyes}
\usage{
glassbox_internal(
  file,
  interactive_preview = FALSE,
  preview_n = 3,
  preview_duration = 5,
  preview_window = NULL,
  verbose = TRUE,
  params,
  original_call,
  seed
)
}
\arguments{
\item{file}{The \code{eyeris} object to process}

\item{interactive_preview}{A flag to indicate whether to show interactive previews}

\item{preview_n}{Number of preview epochs}

\item{preview_duration}{Duration of each preview in seconds}

\item{preview_window}{Preview window specification}

\item{verbose}{A flag to indicate whether to show verbose output}

\item{params}{A list of pipeline step parameters}

\item{original_call}{The original call to the glassbox function}

\item{seed}{A random seed for reproducible plotting}
}
\value{
An \code{eyeris} object with the processed data lists
}
\description{
Internal glassbox function for processing individual eyes
}
\keyword{internal}
