% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pipeline-interpolate.R
\name{interpolate_pupil}
\alias{interpolate_pupil}
\title{Interpolate missing pupil data using linear interpolation}
\usage{
interpolate_pupil(x, prev_op, verbose)
}
\arguments{
\item{x}{A data frame containing the pupil time series data}

\item{prev_op}{The name of the previous operation's output column}

\item{verbose}{A flag to indicate whether to print detailed logging messages}
}
\value{
A vector of interpolated pupil values with the same length as the
input
}
\description{
This function fills missing values (NAs) in pupil data using linear
interpolation. It uses the \code{zoo::na.approx()} function with settings
optimized for pupillometry data.
}
\details{
This function is called by the exposed wrapper \code{\link[=interpolate]{interpolate()}}.
}
\keyword{internal}
