% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pipeline-glassbox.R
\name{plot_with_seed}
\alias{plot_with_seed}
\title{Plot with seed handling for glassbox pipeline}
\usage{
plot_with_seed(
  file,
  step_counter,
  seed,
  preview_n,
  preview_duration,
  preview_window,
  only_linear_trend,
  next_step,
  block_name = NULL,
  verbose = TRUE
)
}
\arguments{
\item{file}{The \code{eyeris} object to plot}

\item{step_counter}{Current step counter}

\item{seed}{A random seed for reproducible plotting}

\item{preview_n}{Number of preview epochs}

\item{preview_duration}{Duration of each preview in seconds}

\item{preview_window}{Preview window specification}

\item{only_linear_trend}{A flag to indicate whether to show only linear
trend}

\item{next_step}{Next step information}

\item{block_name}{Block name (optional, for multi-block processing)}

\item{verbose}{A flag to indicate whether to show verbose output}
}
\description{
Internal function to handle plotting with consistent seed management
for the glassbox pipeline interactive previews.
}
\keyword{internal}
